#
# spec file for package perl-Statistics-Lite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Statistics-Lite
Version:        3.62
Release:        1.1
%define cpan_name Statistics-Lite
Summary:        Small stats stuff
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Statistics-Lite/
Source0:        http://www.cpan.org/authors/id/B/BR/BRIANL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module is a lightweight, functional alternative to larger, more
complete, object-oriented statistics packages. As such, it is likely to be
better suited, in general, to smaller data sets.

This is also a module for dilettantes.

When you just want something to give some very basic, high-school-level
statistical values, without having to set up and populate an object first,
this module may be useful.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes

%changelog
* Sat Oct 31 2015 coolo@suse.com
- updated to 3.62
  see /usr/share/doc/packages/perl-Statistics-Lite/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 3.61
  see /usr/share/doc/packages/perl-Statistics-Lite/Changes
* Mon Oct 10 2011 coolo@suse.com
- initial package 3.2
  * created by cpanspec 1.78.06
